[Evolvis-commits] r129: STFU lintian↵

mirabilos at evolvis.org mirabilos at evolvis.org
Mon Jun 8 11:50:58 CEST 2009


Author: mirabilos
Date: 2009-06-08 09:50:58 +0000 (Mon, 08 Jun 2009)
New Revision: 129

Modified:
   branches/php-v5-sid-branch/debian/changelog
   branches/php-v5-sid-branch/debian/control
   branches/php-v5-sid-branch/debian/source.lintian-overrides
Log:
STFU lintian


Modified: branches/php-v5-sid-branch/debian/changelog
===================================================================
--- branches/php-v5-sid-branch/debian/changelog	2009-06-08 09:47:09 UTC (rev 128)
+++ branches/php-v5-sid-branch/debian/changelog	2009-06-08 09:50:58 UTC (rev 129)
@@ -14,8 +14,10 @@
   * Change size of users.user_pw field from 32 to 128 to accomodate
     potentially larger LDAP password hashes
   * Use Authen::Passphrase for matching users.user_pw ≠ MD5 hashes
+  * debian/control: add ${misc:Depends} everywhere just to please lintian
+  * Add some appropriate lintian overrides
 
- -- Thorsten Glaser <t.glaser at tarent.de>  Mon, 08 Jun 2009 11:40:21 +0200
+ -- Thorsten Glaser <t.glaser at tarent.de>  Mon, 08 Jun 2009 11:50:22 +0200
 
 gforge (4.7.1-1) experimental; urgency=low
 

Modified: branches/php-v5-sid-branch/debian/control
===================================================================
--- branches/php-v5-sid-branch/debian/control	2009-06-08 09:47:09 UTC (rev 128)
+++ branches/php-v5-sid-branch/debian/control	2009-06-08 09:50:58 UTC (rev 129)
@@ -12,7 +12,7 @@
 Package: gforge
 Architecture: all
 Conflicts: sourceforge, gforge-cvs, gforge-common (<< ${source:Version})
-Depends: debconf (>= 1.0.32) | debconf-2.0, ucf, gforge-common (=${source:Version}), gforge-web-apache2 | gforge-web, gforge-db-postgresql | gforge-db, gforge-mta-exim4 | gforge-mta, gforge-shell-postgresql | gforge-shell, gforge-ftp-proftpd | gforge-ftp, gforge-lists-mailman | gforge-lists
+Depends: ${misc:Depends}, debconf (>= 1.0.32) | debconf-2.0, ucf, gforge-common (=${source:Version}), gforge-web-apache2 | gforge-web, gforge-db-postgresql | gforge-db, gforge-mta-exim4 | gforge-mta, gforge-shell-postgresql | gforge-shell, gforge-ftp-proftpd | gforge-ftp, gforge-lists-mailman | gforge-lists
 Recommends: gforge-plugin-scm
 Description: collaborative development tool - meta-package
  GForge provides many tools to aid collaboration in a
@@ -39,7 +39,7 @@
 
 Package: gforge-web-apache2
 Architecture: all
-Depends: gforge-common, gforge-db-postgresql | gforge-db, libapache2-mod-php5, php5-cgi, php5-pgsql, php5-gd, perl, perl-suid, libdbi-perl, libdbd-pg-perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, cronolog, python, ssl-cert
+Depends: ${misc:Depends}, gforge-common, gforge-db-postgresql | gforge-db, libapache2-mod-php5, php5-cgi, php5-pgsql, php5-gd, perl, perl-suid, libdbi-perl, libdbd-pg-perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, cronolog, python, ssl-cert
 Recommends: libphp-jpgraph, locales | locales-all
 Provides: gforge-web
 Conflicts: gforge-web
@@ -55,7 +55,7 @@
 
 Package: gforge-web-apache
 Architecture: all
-Depends: gforge-web-apache2
+Depends: ${misc:Depends}, gforge-web-apache2
 Description: transition package to gforge-web-apache2
  This package exists only as a means to make transitions to apache2
  easier. You can safely uninstall it.
@@ -107,7 +107,7 @@
 
 Package: gforge-mta-courier
 Architecture: all
-Depends: gforge-common, gforge-db-postgresql | gforge-db, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, courier-mta
+Depends: ${misc:Depends}, gforge-common, gforge-db-postgresql | gforge-db, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, courier-mta
 Provides: gforge-mta
 Conflicts: gforge-mta
 Description: collaborative development tool - mail tools (using Courier)
@@ -122,7 +122,7 @@
 
 Package: gforge-shell-postgresql
 Architecture: all
-Depends: gforge-common, gforge-db-postgresql, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, openssh-server, libnss-pgsql1
+Depends: ${misc:Depends}, gforge-common, gforge-db-postgresql, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, openssh-server, libnss-pgsql1
 Provides: gforge-shell
 Conflicts: gforge-shell
 Recommends: nscd
@@ -138,7 +138,7 @@
 
 Package: gforge-ftp-proftpd
 Architecture: all
-Depends: gforge-common, gforge-shell-postgresql | gforge-shell, proftpd, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, php5-cli
+Depends: ${misc:Depends}, gforge-common, gforge-shell-postgresql | gforge-shell, proftpd, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, php5-cli
 Provides: gforge-ftp
 Conflicts: gforge-ftp
 Description: collaborative development tool - FTP management (using ProFTPd)
@@ -166,7 +166,7 @@
 
 Package: gforge-lists-mailman
 Architecture: all
-Depends: gforge-common, gforge-db-postgresql | gforge-db, gforge-mta-exim4 | gforge-mta, apache2 (>= 2.0.52), perl, libdbi-perl, libdbd-pg-perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, mailman (>= 2.1-3)
+Depends: ${misc:Depends}, gforge-common, gforge-db-postgresql | gforge-db, gforge-mta-exim4 | gforge-mta, apache2 (>= 2.0.52), perl, libdbi-perl, libdbd-pg-perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, mailman (>= 2.1-3)
 Provides: gforge-lists
 Conflicts: gforge-lists
 Description: collaborative development tool - mailing-lists (using Mailman)
@@ -180,7 +180,7 @@
 
 Package: gforge-plugin-scmcvs
 Architecture: all
-Depends: gforge-common, gforge-db-postgresql | gforge-db, gforge-web-apache2 | gforge-web, gforge-shell-postgresql | gforge-shell, libipc-run-perl, rcs, liburi-perl, cvs, php5-cli, python, libphp-snoopy
+Depends: ${misc:Depends}, gforge-common, gforge-db-postgresql | gforge-db, gforge-web-apache2 | gforge-web, gforge-shell-postgresql | gforge-shell, libipc-run-perl, rcs, liburi-perl, cvs, php5-cli, python, libphp-snoopy
 Description: collaborative development tool - CVS plugin
  GForge provides many tools to aid collaboration in a
  development project, such as bug-tracking, task management,
@@ -195,7 +195,7 @@
 
 Package: gforge-plugin-scmsvn
 Architecture: all
-Depends: gforge-common, gforge-db-postgresql | gforge-db, gforge-web-apache2 | gforge-web, gforge-shell-postgresql | gforge-shell, subversion, subversion-tools, viewcvs, python-subversion, python (>= 2.3), php5-cli, mksh
+Depends: ${misc:Depends}, gforge-common, gforge-db-postgresql | gforge-db, gforge-web-apache2 | gforge-web, gforge-shell-postgresql | gforge-shell, subversion, subversion-tools, viewcvs, python-subversion, python (>= 2.3), php5-cli, mksh
 Description: collaborative development tool - Subversion plugin
  GForge provides many tools to aid collaboration in a
  development project, such as bug-tracking, task management,
@@ -210,6 +210,6 @@
 
 Package: gforge-plugin-mediawiki
 Architecture: all
-Depends: gforge-common (>= 4.6.99), gforge-db-postgresql (>= 4.6.99) | gforge-db, gforge-web-apache2 (>= 4.6.99) | gforge-web, mediawiki
+Depends: ${misc:Depends}, gforge-common (>= 4.6.99), gforge-db-postgresql (>= 4.6.99) | gforge-db, gforge-web-apache2 (>= 4.6.99) | gforge-web, mediawiki
 Description: Mediawiki plugin for GForge
  This plugin allows each project to embed Mediawiki under a tab.

Modified: branches/php-v5-sid-branch/debian/source.lintian-overrides
===================================================================
--- branches/php-v5-sid-branch/debian/source.lintian-overrides	2009-06-08 09:47:09 UTC (rev 128)
+++ branches/php-v5-sid-branch/debian/source.lintian-overrides	2009-06-08 09:50:58 UTC (rev 129)
@@ -1 +1,7 @@
 # $Id$
+
+# this is a consequence of the evolvis packaging
+gforge source: native-package-with-dash-version
+
+# we’ll let upstream fix that
+gforge source: out-of-date-standards-version 3.7.3 (current is 3.8.0)




More information about the evolvis-commits mailing list